r15241 - gnucash/trunk/packaging/win32 - Add code for download/installation of Inno Setup Compiler, as suggested by hfelton.

Christian Stimming cstim at cvs.gnucash.org
Thu Dec 21 09:10:42 EST 2006


Author: cstim
Date: 2006-12-21 09:10:41 -0500 (Thu, 21 Dec 2006)
New Revision: 15241
Trac: http://svn.gnucash.org/trac/changeset/15241

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/dist.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add code for download/installation of Inno Setup Compiler, as suggested by hfelton.

Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-12-21 13:53:03 UTC (rev 15240)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-12-21 14:10:41 UTC (rev 15241)
@@ -156,6 +156,9 @@
 GLADE_URL="$GNOME_MIRROR/sources/glade3/3.0/glade3-3.1.2.tar.bz2"
 GLADE_DIR=$GLOBAL_DIR\\glade
 
+INNO_URL="http://files.jrsoftware.org/ispack/ispack-5.1.9.exe"
+INNO_DIR=$GLOBAL_DIR\\inno
+
 SVN_URL="http://subversion.tigris.org/files/documents/15/35379/svn-1.4.2-setup.exe"
 SVN_DIR=$GLOBAL_DIR\\svn
 
@@ -185,6 +188,9 @@
 add_step inst_libgsf
 add_step inst_goffice
 #add_step inst_glade
+if test x$cross_compile != xyes ; then
+ add_step inst_inno
+fi
 add_step inst_svn
 add_step svn_up
 add_step inst_gnucash

Modified: gnucash/trunk/packaging/win32/dist.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist.sh	2006-12-21 13:53:03 UTC (rev 15240)
+++ gnucash/trunk/packaging/win32/dist.sh	2006-12-21 14:10:41 UTC (rev 15241)
@@ -141,6 +141,10 @@
             --install-schema-file $file >/dev/null
         echo "done"
     done
+
+    _INNO_UDIR=`unix_path $INNO_DIR`
+    echo "You can now run the Inno Setup Compiler for creating the setup.exe:"
+    echo ${_INNO_UDIR}/iscc ${_GNUCASH_UDIR}/packaging/win32/gnucash.iss
 }
 
 prepare

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-12-21 13:53:03 UTC (rev 15240)
+++ gnucash/trunk/packaging/win32/install.sh	2006-12-21 14:10:41 UTC (rev 15241)
@@ -669,6 +669,22 @@
     quiet glade-3 --version || die "glade not installed correctly"
 }
 
+function inst_inno() {
+    setup Inno Setup Compiler
+    _INNO_UDIR=`unix_path $INNO_DIR`
+    add_to_env $_INNO_UDIR PATH
+    if quiet which iscc
+    then
+        echo "Inno Setup Compiler already installed.  Skipping."
+    else
+        smart_wget $INNO_URL $DOWNLOAD_DIR
+        echo "!!! When asked for the installation path, specify $INNO_DIR !!!"
+	echo "!!! Also, you can deselect all optional components."
+        $LAST_FILE
+    fi
+    quiet which iscc || die "iscc (Inno Setup Compiler) not installed correctly"
+}
+
 function inst_svn() {
     setup Subversion
     _SVN_UDIR=`unix_path $SVN_DIR`
@@ -770,6 +786,7 @@
 }
 
 function finish() {
+    setup Finish...
     _NEW=x
     for _ENV in $ENV_VARS; do
 	_ADDS=`eval echo '"\$'"${_ENV}"'_ADDS"'`



More information about the gnucash-changes mailing list